<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>PseudoClases</title>
    <link rel="stylesheet" type="text/css" href="pseudoclases.css">
</head>
<body>
    <p>Links</p>
    <section>
        <a href="##">Premer URL</a>
        <a href="##">Segunda URL</a>
        <a href="##">Tercera URL</a>
    </section>
    <section>
        <p>Interación usuario</p>
        <input type="text" name="miText">
        <input type="checkbox" name="opcion1">
        <span>Opción 1</span>
        <input type="checkbox" name="opcion2">
        <span>Opción 2</span>
        <input type="checkbox" name="opcion3">
        <span>Opción 3</span>
    </section>
    <section>
        <p>Input readonly</p>
        <input type="text" name="myText2" readonly>
    </section>
    <section>
        <p>Input required/optional</p>
        <input type="text" name="myText3" required>
        <input type="text" name="myText4" class="myText4">
    </section>
    <section>
        <p>Validaciones</p>
        <input type="text" name="age" pattern="[0-9]+" class="valid1">
    </section>
    <section>
        <p>Rangos</p>
        <input type="number" name="age" min="18" max="100" class="rang">
    </section>
    <section>
        <article>
            <strong>Strong 1</strong>
            <span>span 1</span>
            <strong>Strong 2</strong>
            <span>span 2</span>
            <strong>Strong 3</strong>
        </article>
    </section>
    <section>
        <p>Before/After</p>
        <div class="abuelo">
            <p>Parrafo 1</p>
            <p>Parrafo 2</p>
            <div class="padre">
                <div class="hijo">
                    <a title="titulo hijo1">Hijo1</a>
                </div>
                <div class="hijo">
                    <a class="hijo">Hijo2</a>
                </div>
                <div>
                    <a class="hijo">Hijo3</a>
                </div>
            </div>
        </div>
    </section>
    <section class="pseudoelemto2">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste, a in omnis sunt quasi repudiandae dignissimos. 
            Voluptates hic quia inventore aliquid amet obcaecati! Cumque quas eius vitae ex! Pariatur, ab?
        </p>
    </section>
    <section class="pseudoelemto3">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste, a in omnis sunt quasi repudiandae dignissimos. 
            Voluptates hic quia inventore aliquid amet obcaecati! Cumque quas eius vitae ex! Pariatur, ab?
         </p>
    </section>
</body>
</html>